import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询app版本管理列表
export function listApp(query) {
  return request({
     url: baseUrl + '/business/app/list',
    method: 'get',
    params: query
  })
}

// 查询app版本管理详细
export function getApp(id) {
  return request({
     url: baseUrl + '/business/app/' + id,
    method: 'get'
  })
}

// 新增app版本管理
export function addApp(data) {
  return request({
     url: baseUrl + '/business/app',
    method: 'post',
    data: data
  })
}

// 修改app版本管理
export function updateApp(data) {
  return request({
     url: baseUrl + '/business/app',
    method: 'put',
    data: data
  })
}

// 删除app版本管理
export function delApp(id) {
  return request({
     url: baseUrl + '/business/app/' + id,
    method: 'delete'
  })
}
